# Contributing
Contributions are welcome and greatly appreciated!

You can contribute in many ways:

Please ensure you follow our Code of Conduct.

# Types of Contributions

## Report Bugs
Report bugs at https://github.com/ClointFusion/ClointFusion/issues.

If you are reporting a bug, please include:

Your operating system name and version, if applicable.
Any details about your local setup that might be helpful in troubleshooting.
Detailed steps to reproduce the bug.

## Fix Bugs
Look through the GitHub issues for bugs. Anything tagged with "bug" and "help wanted" is open to whoever wants to implement it.

## Implement Features
Look through the GitHub issues for features. Anything tagged with "enhancement" and "help wanted" is open to whoever wants to implement it.

## Write Documentation
ClointFusion could always use more documentation, whether as part of the official ClointFusion docs, in docstrings, or even on the web in blog posts.

The best way to send feedback is to file an issue at https://github.com/ClointFusion/ClointFusion/issues.

If you are proposing a feature:

1. Explain in detail how it would work.
2. Keep the scope as narrow as possible, to make it easier to implement.
3. Remember that this is a volunteer-driven project, and that contributions are welcome :)

# Get Started!
Ready to contribute? Here's how to set up ClointFusion for local development.
1. Fork the ClointFusion repo on GitHub.
2. Clone your fork locally
3. Install your local copy into a virtual environment
4. Create a branch for local development
5. When you're done making changes, commit your changes and push your branch to GitHub
6. Submit a pull request through the GitHub website.

## Currently we are supporting only Windows OS

All the dependent packages would be installed automatically in a separate virtual environment

## pip install ClointFusion

Usage: Open a new Python file and type:

## import ClointFusion as cf

#Get all mouse related functions, by typing below code and hit CTRL+Space (intellisense in your favourite IDE)

cf.mouse_

#window operations :

cf.window_

## Pull Request Guidelines
Before you submit a pull request, check that it meets these guidelines:

1. The pull request should include tests.
2. If the pull request adds functionality, the docs should be updated. Put your new functionality into a function with a docstring, and add the feature to the list in README.md.
3. The pull request should work for Python 3.8 and for PyPi.

# Reachout to us: automation@cloint.com
